#
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#


#
# This is a very basic structure for a python module
#
#  Utils Class definitions:
#==========================
#
#  Object 'parameters' parses the <task>.par configuration file and 
#         get the input parameters from the command line.
#
#    - parameters.getParam(param)    Object to get any parameter value from command line
#    - parameters.options            Dict of input parameters ( parameter: value, etc )
#    - parameters.printParameters()  Print input parameters

#    - Error()                       Error handling class

################################################################################################################




class python_test():
    def __init__(self):
        print('python_test class example ...')

        # Input parameters methods examples: parameters.*
        parameters.printParameters()    

        #set      = parameters.getParam('set')
        #plotfile = parameters.getParam('plotfile')
	
        #print( 'set        : {0}'.format(set) )
        #print( 'plotfile   : {0}'.format(plotfile) )


if __name__ =='__main__':
    python_test()
# ------------------------------------------------------------------------------------------------------------------------


