// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// -*-C++-*-
//
// File:      QtRegister.h
// Author:    jbakker
// Generated: Mon Apr 10 14:45:24 MET DST 2000

#ifndef QtRegister_h
#define QtRegister_h

#include "Register.h"
class QApplication;
namespace Info
{

/*
  Registry of a task to Qt
 */  
class QtRegister : public Register
{
public:
  QtRegister(Task* t);
  ~QtRegister();

  void start();
  void stop();


private:
  // member functions
  QtRegister(const QtRegister&);            // copy constructor (disabled)
  QtRegister& operator=(const QtRegister&); // assignment (disabled)

  // member data
  QApplication* _qApp;

  char** _argv;
  int    _argc;
};

};

#endif
