// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include "cctask.h"

#include <Dal.h>
#include <param.h>
#include <errstr.h>
#include "testtasklib.h"

void cctask()
{
  DataSet* set = dataSetServer->open(stringParameter("set"),Dal::Create);
  *set->addAttribute("message") = stringParameter("message");
  dataSetServer->close(set);

  testtasklib::test("cctask");
}
